import request from '@/utils/request'

// 查询商品预约列表
export function listStoreProductYuyue(query) {
  return request({
    url: '/store/storeProductYuyue/list',
    method: 'get',
    params: query
  })
}

// 查询商品预约详细
export function getStoreProductYuyue(id) {
  return request({
    url: '/store/storeProductYuyue/' + id,
    method: 'get'
  })
}

// 新增商品预约
export function addStoreProductYuyue(data) {
  return request({
    url: '/store/storeProductYuyue',
    method: 'post',
    data: data
  })
}

// 修改商品预约
export function updateStoreProductYuyue(data) {
  return request({
    url: '/store/storeProductYuyue',
    method: 'put',
    data: data
  })
}

// 删除商品预约
export function delStoreProductYuyue(id) {
  return request({
    url: '/store/storeProductYuyue/' + id,
    method: 'delete'
  })
}

// 导出商品预约
export function exportStoreProductYuyue(query) {
  return request({
    url: '/store/storeProductYuyue/export',
    method: 'get',
    params: query
  })
}